{
  "name": "login-portal",
  "version": "0.0.0",
  "description": "A micro front-end that aims to guide the user when he uses a telepresence login portal",
  "main": "index.js",
  "scripts": {
    "start": "webpack serve --open --config config/webpack.config.js",
    "build": "webpack --config config/webpack.config.js",
    "test": "jest --config config/jest.config.js",
    "test:watch": "find src test -name '*.js' | entr jest --config config/jest.config.js",
    "lint": "standard",
    "lint:fix": "standard --fix"
  },
  "repository": {
    "type": "git",
    "url": "git@gitlab.sat.qc.ca:sat-mtl/telepresence/login-portal.git"
  },
  "keywords": [
    "sat",
    "valorisation",
    "login",
    "portal",
    "authentication"
  ],
  "author": "Valentin Laurent <vlaurent@sat.qc.ca>",
  "license": "GPLv3",
  "devDependencies": {
    "@babel/core": "^7.15.8",
    "@babel/eslint-parser": "^7.15.8",
    "@babel/preset-react": "^7.14.5",
    "@svgr/webpack": "^5.5.0",
    "babel-loader": "^8.2.3",
    "copy-webpack-plugin": "^10.2.4",
    "css-loader": "^6.4.0",
    "html-webpack-plugin": "^5.5.0",
    "jest": "^27.3.1",
    "sass": "^1.43.3",
    "sass-loader": "^12.2.0",
    "standard": "^16.0.4",
    "style-loader": "^3.3.1",
    "webpack": "^5.60.0",
    "webpack-cli": "^4.9.1",
    "webpack-dev-server": "^4.7.4"
  },
  "dependencies": {
    "@sat-valorisation/ui-components": "git+https://gitlab.com/sat-mtl/telepresence/ui-components.git#fix/fatal-error",
    "i18next": "^21.6.14",
    "react": "^16.14.0",
    "react-dom": "^16.14.0",
    "react-i18next": "^11.16.2"
  },
  "babel": {
    "extends": "./config/babel.config.js"
  },
  "standard": {
    "parser": "@babel/eslint-parser"
  },
  "browserslist": [
    "defaults",
    "not IE 11"
  ]
}
